package com.bsb.incubator.vaadin.addressbook.container;

import com.vaadin.data.Container;

/**
 * A container holding {@link com.bsb.incubator.vaadin.addressbook.domain.Person}
 * instances.
 *
 * @author Stephane Nicoll
 */
public interface PersonContainer extends Container, Container.Filterable {

    /**
     * The default field to search on.
     */
    static final String DEFAULT_SEARCH_FIELD = "lastName";

    /**
     * Natural property order for Person bean. Used in tables and forms.
     */
    static final Object[] NATURAL_COL_ORDER = new Object[]{
            "firstName", "lastName", "email", "phoneNumber", "streetAddress",
            "postalCode", "city"};

    /**
     * "Human readable" captions for properties in same order as in
     * NATURAL_COL_ORDER.
     */
    static final String[] COL_HEADERS_ENGLISH = new String[]{
            "First name", "Last name", "Email", "Phone number",
            "Street Address", "Postal Code", "City"};
}
