package com.bsb.incubator.vaadin.addressbook.ui;

import com.vaadin.ui.SplitPanel;

/**
 * Represents the right part of the screen divided in two main components:
 * <ol>
 * <li>The {@link PersonList} displaying a table of person instance</li>
 * <li>The {@link PersonForm} displaying the related form to edit/save a person</li>
 * </ol>
 *
 * @author Stephane Nicoll
 */
public class ListView extends SplitPanel {

    public ListView(PersonList personView, PersonForm personForm) {
        setFirstComponent(personView);
        setSecondComponent(personForm);

        // 40% of the panel is used for the table. The rest is left for the form
        setSplitPosition(40);

        addStyleName("view");
    }

}

