package com.bsb.incubator.vaadin.addressbook.ui;

import com.bsb.incubator.vaadin.addressbook.AddressBookApplication;
import com.vaadin.event.ItemClickEvent;
import com.vaadin.ui.Tree;

/**
 * A tree, displayed on the left of the screen.
 *
 * @author Stephane Nicoll
 */
public class NavigationTree extends Tree {

    public static final String SHOW_ALL = "Show all";
    public static final String SEARCH = "Search";

    public NavigationTree(AddressBookApplication app) {
        addItem(SHOW_ALL);
        addItem(SEARCH);

        // We want items to be selectable but do not want the user to be able to
        // de-select an item.
        setSelectable(true);
        setNullSelectionAllowed(false);
        // Make application handle item click events
        addListener((ItemClickEvent.ItemClickListener) app);
    }
}
